Bug 17204 - Rancor Z39.50 search fails under plack
Summary: Rancor Z39.50 search fails under plack
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17201
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-26 13:42 UTC by Nick Clemens
Modified: 2017-06-14 22:18 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17204 - Rancor Z39.50 search fails under plack (1.10 KB, patch)
2016-08-26 15:15 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17204 - Rancor Z39.50 search fails under plack (1.15 KB, patch)
2016-10-11 13:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17204: Rancor Z39.50 search fails under plack (1.21 KB, patch)
2016-11-08 17:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-08-26 13:42:54 UTC
Enable plack
Open advanced cataloging editor
Perform a Z39.50 search
Internal Search Error
Disable plack
Perform a Z39.50 Search
Successful results
Comment 1 Nick Clemens 2016-08-26 15:15:12 UTC
Created attachment 54938 [details] [review]
Bug 17204  - Rancor Z39.50 search fails under plack

MetaSearcher.pm forks children to handle searching each server. When the
process waits for the children it never continues.

The simplest solution here is to exclude the metasearcher service from
running under plack
Comment 2 Josef Moravec 2016-10-11 13:33:05 UTC
Created attachment 56184 [details] [review]
Bug 17204 - Rancor Z39.50 search fails under plack

MetaSearcher.pm forks children to handle searching each server. When the
process waits for the children it never continues.

The simplest solution here is to exclude the metasearcher service from
running under plack

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Katrin Fischer 2016-11-06 11:13:17 UTC
I am not sure why, but this is not working for me.
Testing on a kohadevbox.
Applied patch, activated Plack for the instance, restarted Plack.
I receive an error message [object Object] or similar when I try searching in Rancor and it never finishes.

I am not sure if this is me or another error so not changing status, maybe another QA person is more successful.
Comment 4 Tomás Cohen Arazi 2016-11-08 17:38:29 UTC
Created attachment 57343 [details] [review]
Bug 17204: Rancor Z39.50 search fails under plack

MetaSearcher.pm forks children to handle searching each server. When the
process waits for the children it never continues.

The simplest solution here is to exclude the metasearcher service from
running under plack

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2016-11-10 13:39:00 UTC
Pushed to master for 16.11, thanks Nick!
Comment 6 Mason James 2016-12-14 10:31:55 UTC
Pushed to 16.05.x, for 16.05.06 release